6.0.0-git
2019-04-21

[#8520] Sent mail folder does not auto-create
Summary Sent mail folder does not auto-create
Queue IMP
Queue Version 4.3.4
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester bugs (at) skeena (dot) net
Created 2009-08-22 (3529 days ago)
Due
Updated 2010-01-13 (3385 days ago)
Assigned 2009-08-23 (3528 days ago)
Resolved 2009-11-20 (3439 days ago)
Milestone
Patch Yes

History
2009-11-20 19:07:23 Michael Slusarz Comment #11
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Added to IMP 4.3.6.  The sent-mail folder is only created if sent-mail 
folder selection is allowed.
2009-11-20 19:05:38 CVS Commit Comment #10 Reply to this comment
2009-11-18 22:56:30 Michael Slusarz Comment #8 Reply to this comment
But the sent-mail folder is going to be created at some point 
anyway; I don't see the harm in doing it early. If the message is 
composed but not sent and the user hits "save draft", it still goes 
into the drafts folder and the new sent mail folder stays empty -- 
nothing wrong with that; pretty much all e-mail programs (and most 
forms of webmail) have a sent mail folder as a permanent fixture; if 
you never send anything it just stays empty.
I agree with this.  While true that you may not end up saving the 
message in the sent-mail folder, without auto-creating it won't even 
be available in the drop-down list.  I don't see the harm in 
pre-creating the folder.  If identified as the sent-mail folder in the 
prefs, it is eventually going to be created anyway.
2009-09-18 23:58:28 dido011 (at) msn (dot) com Comment #7 Reply to this comment

[Show Quoted Text - 17 lines]
2009-09-18 19:30:16 dido011 (at) msn (dot) com Comment #6 Reply to this comment

[Show Quoted Text - 16 lines]
can not get sent attachments into "sent mail" only sent message.
2009-08-30 19:57:17 bugs (at) skeena (dot) net Comment #5 Reply to this comment
This is not a viable solution, because the sent-mail folder must not
be created when starting message composition
Pardon my ignorance, but why not?
Because it is a sent-mail folder, not a
composed-but-maybe-not-sent-mail folder.
But the sent-mail folder is going to be created at some point anyway; 
I don't see the harm in doing it early. If the message is composed but 
not sent and the user hits "save draft", it still goes into the drafts 
folder and the new sent mail folder stays empty -- nothing wrong with 
that; pretty much all e-mail programs (and most forms of webmail) have 
a sent mail folder as a permanent fixture; if you never send anything 
it just stays empty.


2009-08-30 12:18:16 Jan Schneider Comment #4 Reply to this comment
This is not a viable solution, because the sent-mail folder must not
be created when starting message composition
Pardon my ignorance, but why not?
Because it is a sent-mail folder, not a 
composed-but-maybe-not-sent-mail folder.
2009-08-26 20:25:02 bugs (at) skeena (dot) net Comment #3 Reply to this comment
This is not a viable solution, because the sent-mail folder must not
be created when starting message composition
Pardon my ignorance, but why not?


2009-08-23 12:49:01 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
This is not a viable solution, because the sent-mail folder must not 
be created when starting message composition, but only when sending 
the message (or really when trying to save the sent message).
2009-08-22 01:36:25 bugs (at) skeena (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Sent mail folder does not auto-create
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ Yes
New Attachment: compose.php_sent-mail-autocreate Download
Reply to this comment
If the sent mail folder is not a locked setting in prefs.php, users 
are able to choose where to save each message from a drop-down in the 
compose screen. If the default named sent-mail folder does not exist 
for that user, the drop-down defaults to the first existing folder 
(sorted case-sensitive alphabetically) -- often this is Drafts. IMP 
does not attempt to create the default sent-mail folder, except in the 
case where the Inbox is the *only* other existent folder.



If the sent mail folder setting is locked in prefs.php, users are not 
offered the drop-down menu and the sent mail folder *is* auto-created 
if it does not exist.



This is a regression of a much earlier bug; I found references to it 
from 2002 or so via Google. It may have been fixed in an earlier 
version of compose.php; see line 1001 in compose.php Revision 
2.800.2.16 (http://cvs.horde.org/co.php/imp/compose.php?r=2.800.2.16):



         if (!$imp_folder->exists($imp['stream'], $sent_mail_folder)) {

             $imp_folder->create($imp['stream'], $sent_mail_folder, 
$prefs->getValue('subscribe'));

         }



My patch creates the sent-mail folder much earlier on, so that it's 
ready by the time the drop-down appears.

Saved Queries